Loading...
Searching...
No Matches
Catch::Counts Struct Reference

`#include <catch_amalgamated.hpp>`

## Public Member Functions

Counts | operator- (Counts const &other) const
Counts & | operator+= (Counts const &other)
std::uint64_t | total () const
bool | allPassed () const
bool | allOk () const

## Public Attributes

std::uint64_t | passed = 0
std::uint64_t | failed = 0
std::uint64_t | failedButOk = 0
std::uint64_t | skipped = 0

## Member Function Documentation

## allOk()

bool Catch::Counts::allOk | ( |  | ) | const

## allPassed()

bool Catch::Counts::allPassed | ( |  | ) | const

Here is the caller graph for this function:

## operator+=()

Counts & Catch::Counts::operator+= | ( | Counts const & | other | ) |

## operator-()

Counts Catch::Counts::operator- | ( | Counts const & | other | ) | const

## total()

std::uint64_t Catch::Counts::total | ( |  | ) | const

Here is the caller graph for this function:

## Member Data Documentation

## failed

std::uint64_t Catch::Counts::failed = 0

## failedButOk

std::uint64_t Catch::Counts::failedButOk = 0

## passed

std::uint64_t Catch::Counts::passed = 0

## skipped

std::uint64_t Catch::Counts::skipped = 0

The documentation for this struct was generated from the following files:

- tests/vendor/catch_amalgamated.hpp
- tests/vendor/catch_amalgamated.cpp